using System.Text.Json.Serialization;

namespace Berufsschule_HAM.Models;

public class LocationsCreateRequestModel
{
    [JsonPropertyName("Description")]
    public required LocationsDescription LocationsDescription { get; set; }
}

public class LocationsModifyRequestModel
{
    [JsonPropertyName("Location")]
    public required string Location { get; set; }
    [JsonPropertyName("Description")]
    public required LocationsDescription Description { get; set; }
}

public class LocationsDeleteRequestModel
{
    [JsonPropertyName("cn")]
    public required string Cn { get; set; }
}